package com.alibaba.druid.sql.dialect.dm.ast.stmt;

import com.alibaba.druid.sql.ast.SQLName;
import com.alibaba.druid.sql.dialect.dm.visitor.DmASTVisitor;

public class DmLockTableStatement extends DmStatementImpl {
   protected SQLName name;
   protected boolean intent;
   protected boolean share;
   protected boolean exclusive;
   protected boolean nowait;

   public void accept0(DmASTVisitor visitor) {
      if (visitor.visit(this)) {
      }

      visitor.endVisit(this);
   }

   public SQLName getName() {
      return this.name;
   }

   public void setName(SQLName name) {
      this.name = name;
   }

   public boolean isIntent() {
      return this.intent;
   }

   public void setIntent(boolean intent) {
      this.intent = intent;
   }

   public boolean isShare() {
      return this.share;
   }

   public void setShare(boolean share) {
      this.share = share;
   }

   public boolean isExclusive() {
      return this.exclusive;
   }

   public void setExclusive(boolean exclusive) {
      this.exclusive = exclusive;
   }

   public boolean isNowait() {
      return this.nowait;
   }

   public void setNowait(boolean nowait) {
      this.nowait = nowait;
   }
}
